Bug 1404793 - Rebase to 2.6 upstream release
Rebase to 2.6 upstream release
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: wpa_supplicant (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Davide Caratti
Ken Benoit
Ioanna Gkioka
: Rebase
Depends On:
Blocks: 1393481
  Show dependency treegraph
 
Reported: 2016-12-14 11:29 EST by Beniamino Galvani
Modified: 2017-08-01 16:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_wpa_supplicant_ rebased to version 2.6 The _wpa_supplicant_ packages have been upgraded to upstream version 2.6, which provides a number of bug fixes and enhancements. Notably, the *wpa_supplicant* utility now supports the Media Access Control Security (MACsec) encryption 802.1AE, which enables MACsec to be used in configuration by default.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:58:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2053 normal SHIPPED_LIVE wpa_supplicant bug fix and enhancement update 2017-08-01 14:35:57 EDT

  None (edit)
Description Beniamino Galvani 2016-12-14 11:29:18 EST
The package now in RHEL7 is based on hostap 2.0, released in Jan 2013 [1].

A rebase to a more recent version like 2.6 (October 2016) would allow an easier backport of new features as the MACsec support needed for bug 1338005 and would also bring to RHEL all the improvements done in the last 4 years.

[1] http://w1.fi/releases/
Comment 6 Ken Benoit 2017-05-31 14:21:55 EDT
Tested against RHEL-7.4-20170525.7 and verified that wpa_supplicant-2.6-5.el7 is installed. Also checked the source rpm package and verified that the patches look correct according to comment 2 and comment 3. General wpa_supplicant testing has not shown any issues either. Verifying as SanityOnly.
Comment 7 errata-xmlrpc 2017-08-01 16:58:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2053

Note You need to log in before you can comment on or make changes to this bug.